package routers

import (
	"github.com/go-chi/chi/v5"
	"github.com/tech/sendico/pkg/mlogger"
)

type Metrics interface {
	Finish()
}

func NewMetricsRouter(logger mlogger.Logger, router chi.Router, endpoint string) (Metrics, error) {
	return newMetricsRouter(logger, router, endpoint), nil
}
